#include "bitmap.h"

struct tileLayout
	{
	int tile;
	BYTE palette;
	bool flipHorizontal;
	bool flipVertical;
	};
	
class Background
	{
	public:
	
	~Background(void);
	Background(void);

	void load(int,BYTE);

	Bitmap pic;

	private:

	void createBitmap(void);
	void loadLayout(int,BYTE);
	void loadTiles(int,BYTE);

	int palette;
	BYTE *tileSet;
	tileLayout layout[32][19];
	};

bool loadCombatBacks(char*);
void loadBackPals(int);

extern Background combatBack[55];

