#ifndef TAB_H
#define TAB_H

//Base Tab class from which all tabs are derived

class Tab
	{
	public:
	
	HWND getHandle(void);

	virtual void clearImage(void) = 0;
	virtual void create(void) = 0;
    virtual void exportImage(void) = 0;
	virtual void flipImage(int) = 0;
	void hide(void);
	virtual void import(void) = 0;
	virtual void initTab(void) = 0;
	void invalidateTab(void);
	virtual void newROM(void);
	virtual bool save(char*) = 0;
	void show(void);

	protected:

	HWND hTab;
	
	virtual void drawTab(void) = 0;
	void invalidateTabControl(int);
	
	virtual BOOL tabProc(HWND, UINT, WPARAM, LPARAM) = 0;
	};
	
#endif

